import ts from 'typescript';
export declare function normalizePath(fileName: string): string;
export interface DiagnosticsHost extends ts.FormatDiagnosticsHost {
    getCompilationSettings(): import('typescript').CompilerOptions;
}
export declare function createFormattingHost(compilerOptions: ts.CompilerOptions): DiagnosticsHost;
export declare type Resolver = (moduleName: string, containingFile: string) => import('typescript').ResolvedModuleFull | undefined;
export declare function createModuleResolver(host: DiagnosticsHost): Resolver;
export declare function loopEach(url: string, ignore: RegExp, callback: (url: string) => void): void;
export declare function getDeclareFile(cwd: string): string[];
export declare function getDependPath(cwd: string, libName: string): string;
